
## 6.2.0 - 2022-02-06

### Added

- `about` command to display current long version and more information about this package.
- new environment variable `APP_VENDOR_DIR` that identify `vendor` directory (auto-detection)
- `APP_DATABASE_URL` contains full path without placeholders for SQLite driver.
- `APP_CACHE_DIR` identifies directory where you may find the SQLite database version (`compatinfo-db.sqlite`).
- `APP_HOME_DIR` identifies user home directory (whatever platform).
- [Simplify database initialization processus](https://github.com/llaville/php-compatinfo/issues/321) with bridge to new command `db:create` (from CompatInfoDB)
- [#322](https://github.com/llaville/php-compatinfo/issues/322) : new sniff to detect PHP (8.1) Enumerations
- [#323](https://github.com/llaville/php-compatinfo/issues/323) : new sniff to detect PHP (8.1) Readonly Properties
- [#324](https://github.com/llaville/php-compatinfo/issues/324) : new sniff to detect PHP (8.1) First class callable syntax
- [#325](https://github.com/llaville/php-compatinfo/issues/325) : new sniff to detect PHP (8.1) New in initializers
- [#329](https://github.com/llaville/php-compatinfo/issues/329) : new sniff to detect PHP (8.1) Explicit Octal numeral notation
- [#330](https://github.com/llaville/php-compatinfo/issues/330) : new sniff to detect PHP (8.1) Fibers
- [#331](https://github.com/llaville/php-compatinfo/issues/331) : new sniff to detect PHP (8.1) Array unpacking support
- [#334](https://github.com/llaville/php-compatinfo/issues/334) : new sniff to detect PHP (8.0) Named arguments
- [#335](https://github.com/llaville/php-compatinfo/issues/335) : new sniff to detect PHP (8.0) Attributes
- [#336](https://github.com/llaville/php-compatinfo/issues/336) : new sniff to detect PHP (8.0) Constructor property promotion
- [#337](https://github.com/llaville/php-compatinfo/issues/337) : new sniff to detect PHP (8.0) Match expressions
- [#338](https://github.com/llaville/php-compatinfo/issues/338) : new sniff to detect PHP (8.0) Nullsafe operator syntax
- [#340](https://github.com/llaville/php-compatinfo/issues/340) : new sniff to detect PHP (8.0) Trailing comma syntax in parameters list and closure use list
- [#341](https://github.com/llaville/php-compatinfo/issues/341) : new sniff to detect PHP (8.0) Non-capturing catches syntax

### Changed

- [#326](https://github.com/llaville/php-compatinfo/issues/326) : update sniffs to detect PHP (8.1) Intersection types
- [#327](https://github.com/llaville/php-compatinfo/issues/327) : update sniffs to detect PHP (8.1) Never return type
- [#328](https://github.com/llaville/php-compatinfo/issues/328) : update sniffs to detect PHP (8.1) Final class constants
- option `--version` display now only long version without application description.
- Checker service handle now, and print into diagnostic the application environment variables (keys/values).
- Launch an auto-diagnose on `db:*` commands (excluding `db:create`) or `analyser:run`.
- [#343](https://github.com/llaville/php-compatinfo/issues/343) : Allow displaying PHP suggested version on each reporter
- Adjust Composer constraints to follow logical OR syntax with two pipes (see <https://getcomposer.org/doc/articles/versions.md#version-range>)

### Fixed

- [#342](https://github.com/llaville/php-compatinfo/issues/342) : Sniff `AttributeSniff` raise `php.min` too much

**Full Changelog**: [6.1.2...6.2.0](https://github.com/llaville/php-compatinfo/compare/6.1.2...6.2.0)
